/* You can add global styles to this file, and also import other style files */

@import '~normalize.css/normalize.css';
@import '~tippy.js/dist/tippy.css';
@import '~tippy.js/themes/light.css';
@import '~tippy.js/animations/scale.css';
@import '~devextreme/dist/css/dx.light.css';

@import 'theme-all';

html,
body {
  @include width-height(100%, 100%);
  @include background-text-color($background-basic-color-1, $text-basic-color);

  padding: 0;
  margin: 0;

  @include font($font-size-base, $line-height-base, $font-weight-base, $body-font-color);

  font-family: $font-family-primary;
  font-variant-numeric: slashed-zero;
}

// @use 'sass:color';
// @use 'sass:meta';

// @use 'theme-all';
// @use '~node_modules/devextreme/scss/widgets/material/colors' as A with (
//   $color: 'blue',
//   $mode: 'light',

//   // base variables (affects entire theme and all widgets)
//   $base-text-color: red,
//   $base-bg: gray
// );

// @use '.~node_modules/devextreme/scss/widgets/material/sizes' with (
//   $size: 'compact'
// );

// @use '~node_modules/devextreme/scss/widgets/material/button/colors' as B with (
//   // colors, specific for button
//   $button-normal-icon-color: blue
// );

// // typography settings (fonts, background color)
// @use '~node_modules/devextreme/scss/widgets/material/typography';

// // widgets used by app

// // my button has an icon, so I need icon classes
// @use '~node_modules/devextreme/scss/widgets/material/icons';
// // button
// @use '~node_modules/devextreme/scss/widgets/material/button';

// @include meta.load-css('theme-all');

// html,
// body {
//   @include theme-all.width-height(100%, 100%);
//   @include theme-all.background-text-color(theme-all.$background-basic-color-1, theme-all.$text-basic-color);

//   padding: 0;
//   margin: 0;

//   @include theme-all.font(
//     theme-all.$font-size-base,
//     theme-all.$line-height-base,
//     theme-all.$font-weight-base,
//     theme-all.$body-font-color
//   );

//   font-family: theme-all.$font-family-primary;
//   font-variant-numeric: slashed-zero;
// }

.tippy-content {
  padding: 0;
}
